module Core.SQLite where

import Core.Types

import Control.Monad.Reader           (ask, lift, liftIO)
import Database.SQLite.Simple
import Database.SQLite.Simple.FromRow

import qualified Data.Text                  as T

main :: String -> IO ()
main db = do 
  conn <- open db
  execute_ conn 
    "CREATE TABLE IF NOT EXISTS pws\
    \ (link TEXT PRIMARY KEY,\
    \ secret TEXT,\
    \ date DATETIME DEFAULT CURRENT_TIMESTAMP)"
  close conn

dbPath :: PurrAction String
dbPath = do
  conf  <- lift ask
  return $ dbFile conf

encKey :: PurrAction String
encKey = do
  conf  <- lift ask
  return $ dbKey conf
