module Feature.Generation.HTTP ( routes ) where

import Core.Types
import Core.Templates (renderIndex)

import Feature.Generation.Passwords (suggestedScheme)
import Feature.Generation.Templates (renderGen)

import qualified Data.Text      as T
import qualified Data.Text.Lazy as LT

import Control.Monad.Reader (ask, lift, liftIO)
import Data.Maybe (listToMaybe)
import Web.Scotty.Trans 
import Prelude 

routes :: PurrApp ()
routes = do 

  get "/gen" $ do
    genPw <- liftIO $ suggestedScheme 24
    html   $ renderGen genPw
