module Feature.Generation.Shared where

import System.Random (randomRIO)

rIndex :: [a] -> IO a
rIndex arr = do
  i <- randomRIO (0, length arr - 1)
  return $ arr !! i

-- Defines the valid range of characters to be used when generating.
-- This consists of all lowercase Latin alphabet characters and the 
-- numbers 1 through 9.
validChars :: [Char]
validChars = validLetters <> validNumbers

validNumbers :: [Char]
validNumbers = ['1'..'9']

validLetters :: [Char]
validLetters = ['a'..'z']
